package com.unis.base.server.dao;

import java.util.List;
import java.util.Map;

import com.unis.base.common.vo.DSbxxsjyClassifyVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.DSbxxsjyVO;
import com.unis.base.server.entity.DSbxxsjyDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * 
 * @ClassName: DSbxxsjyDao 
 * @Description: DSbxxsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DSbxxsjyDao extends Mapper<DSbxxsjyDO> {

	/**
	 * 根据信息获取设备列表
	 * @param dSbxxsjyDO
	 * @return
	 */
	List<DSbxxsjyVO> getDSbxxsjyList(DSbxxsjyDO dSbxxsjyDO);

	/**
	 * 根据机构ID获取设备列表
	 * @param jgId
	 * @return
	 */
	List<DSbxxsjyVO> getDSbxxsjyListByJgId(@Param("jgId")String jgId);

	/**
	 * 根据库点获取设备信息列表
	 * @param kddm
	 * @return
	 */
	List<DSbxxsjyVO> getEquipmentListByKddm(@Param("kddm")String kddm);

	/**
	 * 获取设备信息
	 * @param cfbh
	 * @return
	 */
	DSbxxsjyDO getDSbxxsjyInfo(@Param("sbbh")String sbbh);

	/**
	 * 根据设备编号获取设备信息-任何状态
	 * @param sbbh
	 * @return
	 */
	DSbxxsjyDO getEquipmentInfo(@Param("sbbh")String sbbh);

	/**
	 * 更新设备信息
	 * @param dSbxxsjyDO
	 * @return
	 */
	int update(DSbxxsjyDO dSbxxsjyDO);

	/**
	 * 获取最大设备编号
	 * @return
	 */
	String getMaxCodeById();
	
	/**
	 * 添加设备信息
	 * @return
	 */
	int insert(DSbxxsjyDO dSbxxsjyDO);

	/**
	 * 获取最大设备编号
	 * @return
	 */
	String getMaxById(@Param("prefix")String prefix);

	/**
	 * 更改备案状态
	 * @param dSbxxsjyVO
	 * @return
	 */
    int updateFilingStatus(DSbxxsjyVO dSbxxsjyVO);

	/**
	 * 根据条件删除设备列表
	 * @param dSbxxsjyClassifyVO
	 * @return
	 */
	int deleteList(DSbxxsjyClassifyVO dSbxxsjyClassifyVO);

	void deleteBySblxbh(String sblxbh);
}
